// Copyright (c) 2016 ETH-Zurich. All rights reserved.
// Use of this source code is governed by a BSD-style license that
// can be found in the LICENSE file.

#ifndef _OFI_ENDPOINT_H_635106f3226c46d3d114158785752466
#define _OFI_ENDPOINT_H_635106f3226c46d3d114158785752466

#include <rdma/fi_domain.h>

namespace tinympi {
namespace ofi {
namespace impl {

//tinympi::ofi::impl::OfiEndpoint
struct OfiEndpoint {
public:
	fi_addr_t get_addr() const {
		return addr_;
	}
	fid_ep* get_ep() const {
		return ep_;
	}

	OfiEndpoint(fid_ep* ep, fi_addr_t addr)
			: ep_(ep)
			, addr_(addr) {
	}

private:
	fid_ep* ep_;
	fi_addr_t addr_;

};
}
}

}


#endif //_OFI_ENDPOINT_H_
