#ifndef _CACHE_FLUSH_H_
#define _CACHE_FLUSH_H_

#include <vector>

#define CACHESIZE 8192*1024 //B

class CacheFlush{
    std::vector<double> a_;
    std::vector<double> b_;
    std::vector<double> c_;
    int n_;
public:
    CacheFlush(int n){
        n_ = n / sizeof(double) * 2;
        a_.resize(n_);
        b_.resize(n_);
        c_.resize(n_);
    };
    void flush() {
        double *a = &a_[0];
        double *b = &b_[0];
        double *c = &c_[0];
        int i;
        for(i=0; i<n_; i++)
            a[i] = b[i]*c[i];
    };
};

#endif //_CACHE_FLUSH_H_
