#!/usr/bin/python

import os
# get all benchmark-timings dirs in the "build" dir
bench_dirs = [d for d in os.listdir('build') if d.startswith('2_0')]
print bench_dirs

# for each dir:
for bench_dir in bench_dirs:
#   find all lsb.tinympi* files
  failed_calls = 0
  for filename in os.listdir('build/'+bench_dir):
    if filename.startswith('lsb.tinympi'):
      enabled = False
      skipped_header = False
      for line in open('build/'+bench_dir+'/'+filename, 'r'):
        if line.startswith('# printing integer list'):
          enabled = True
          continue
        if enabled and not skipped_header:
          skipped_header = True
          continue
        if enabled:
          tokens = line.split()
          id_ = tokens[0]
          int1 = int(tokens[1])
          int2 = int(tokens[2])
          failed_calls += int1 + int2

  print bench_dir, "\t\t", failed_calls
#     for each file
#       sum both int columns in the list of ints 
#       add to the global running sum
#   print the global running sum for this config string

