// Copyright (c) 2016 ETH-Zurich. All rights reserved.
// Use of this source code is governed by a BSD-style license that
// can be found in the LICENSE file.

#ifndef _PROGRESS_H_635106f3226c46d3d114158785752466
#define _PROGRESS_H_635106f3226c46d3d114158785752466

#include "config.h"

namespace tinympi {
namespace impl {

inline int progress() {
	// we progress all providers individually. NO LOCK required
	int res = 0;
	res += NodeWrapper::progress();
	res += ThreadWrapper::progress();
	return res;
}

}
}

#endif // _PROGRESS_H_
